Bug 457384 - samba-common: manual page and usage message of pdbedit is incomplete/incorrect
samba-common: manual page and usage message of pdbedit is incomplete/incorrect
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Guenther Deschner
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 06:40 EDT by Ales Zelinka
Modified: 2010-03-30 05:03 EDT (History)
4 users (show)

See Also:
Fixed In Version: samba-3.0.33-3.24.el5
Doc Type: Bug Fix
Doc Text:
previously, the man pages and usage messages for rpcclient, smbcacls, samba-client, smbget, smbtree, and pdbedit contained errors, omissions, and outdated information. Users could not therefore rely on the provided documentation to use these programs. The documentation for each of these components has been reviewed and corrected and no longer contains misleading information.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 05:03:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
complete log from options-comparator utilities (2.49 KB, application/octet-stream)
2008-07-31 06:40 EDT, Ales Zelinka
no flags Details

  None (edit)
Description Ales Zelinka 2008-07-31 06:40:50 EDT
Description of problem:
1)long version of the -U parameter is "--user SID" insted of "--user-SID" (space
instead of minus). It collides with -u|--user if not escaped properly.

2) --logfile is stated as a long version of -l option but --log-basename is
actually recognized by the binary

3) manual page does not mention longer versions of following
command line options: -c (--account-control), -P (--account-policy), -b (--backend),
-s (--configfile), -a (--create), -x (--delete), -D (--drive), -e (--export),
-f (--fullname), -g (--group), -h (--homedir), -i (--import), -L (--list),
-m (--machine), -r (--modify), -y (--policies), -p (--profile), -S (--script),
-w (--smbpasswd-style), -u (--user), -C (--value), -V (--version),
 -v (--verbose)

4)following options are not covered by the man page at all:
 -N --account-desc, -z --bad-password-count-reset, -I --domain,
--force-initialized-passwords,
-Z --logon-hours-reset, --policies-reset, --time-format


Version-Release number of selected component (if applicable):
samba-client-3.0.28-1.el5_2.2.i386

How reproducible:
always

Steps to Reproduce:
compare manpage to pdbedit --help

Additional info:
Used Milos Malik's options-comparator to do the options analysis. See
attachment for complete output.
Comment 1 Ales Zelinka 2008-07-31 06:40:50 EDT
Created attachment 313088 [details]
complete log from options-comparator utilities
Comment 9 Ruediger Landmann 2010-03-22 11:30:03 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
previously, the man pages and usage messages for rpcclient, 
smbcacls, samba-client, smbget, smbtree, and pdbedit contained 
errors, omissions, and outdated information. Users could not
therefore rely on the provided documentation to use these programs. 
The documentation for each of these components has been reviewed and 
corrected and no longer contains misleading information.
Comment 10 errata-xmlrpc 2010-03-30 05:03:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0300.html

Note You need to log in before you can comment on or make changes to this bug.